net.sf.jasperreports.types.date

## Class RelativeTimestampRange

- java.lang.Object
- - net.sf.jasperreports.types.date.AbstractDateRange
  - - net.sf.jasperreports.types.date.RelativeDateRange
    - - net.sf.jasperreports.types.date.RelativeTimestampRange

- All Implemented Interfaces:
    java.io.Serializable, DateRange, DateRangeExpression, TimestampRange

      public class RelativeTimestampRange
      extends RelativeDateRange
      implements TimestampRange

  Implementation of `DateRange` for relative range of times.

  Version:
    $Id: RelativeTimestampRange.java 5880 2013-01-07 20:40:06Z teodord $
  Author:
    Sergey Prilukin
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.types.date.RelativeDateRange

      `DATE_RANGE_REGEXP, DEFAULT_WEEK_START_DAY, PROPERTIES_FILE_NAME, WEEK_START_DAY_KEY`

    - ### Fields inherited from class net.sf.jasperreports.types.date.AbstractDateRange

      `expression, timeZone`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RelativeTimestampRange(java.lang.String expression)`
    `RelativeTimestampRange(java.lang.String expression, java.util.TimeZone timeZone, java.lang.Integer weekStart)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.sql.Timestamp` | `getEnd()`
    `java.sql.Timestamp` | `getStart()`

    - ### Methods inherited from class net.sf.jasperreports.types.date.RelativeDateRange

      `getCalendar, getCurrentDate, getExpression, getPattern, getProperties, getPropertiesFileName, getWeekStart, setProperties, validateExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RelativeTimestampRange

          public RelativeTimestampRange(java.lang.String expression)

    - #### RelativeTimestampRange

          public RelativeTimestampRange(java.lang.String expression,
                                java.util.TimeZone timeZone,
                                java.lang.Integer weekStart)

  - ### Method Detail

    - #### getStart

          public java.sql.Timestamp getStart()

      Specified by:
        `getStart` in interface `DateRange`
      Specified by:
        `getStart` in interface `TimestampRange`
      Overrides:
        `getStart` in class `RelativeDateRange`

    - #### getEnd

          public java.sql.Timestamp getEnd()

      Specified by:
        `getEnd` in interface `DateRange`
      Specified by:
        `getEnd` in interface `TimestampRange`
      Overrides:
        `getEnd` in class `RelativeDateRange`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com